[21.10 FEAT] CPU Model for new IBM Z Hardware (kernel)

Bug #1932174 reported by bugproxy
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Ubuntu on IBM z Systems
Fix Released
High
Skipper Bug Screeners
linux (Ubuntu)
Fix Released
High
Canonical Kernel Team

Bug Description

Define and implement a CPU model for the zNext GA1 machines.
The CPU model must contain all new zNext architectural features and enable them for KVM guests.

Business Value: Enable Linux guests to exploit zNext GA1 specific architecture features, e.g. new AI instructions.

Feature will be made available with kernel >=5.14.

Backport will be provided as soon as possible.

bugproxy (bugproxy)
tags: added: architecture-s39064 bugnameltc-193305 severity-high targetmilestone-inin2110
Changed in ubuntu:
assignee: nobody → Skipper Bug Screeners (skipper-screen-team)
affects: ubuntu → linux (Ubuntu)
Frank Heimes (fheimes)
Changed in linux (Ubuntu):
assignee: Skipper Bug Screeners (skipper-screen-team) → bugproxy (bugproxy)
Changed in ubuntu-z-systems:
assignee: nobody → Skipper Bug Screeners (skipper-screen-team)
Changed in linux (Ubuntu):
importance: Undecided → High
status: New → Incomplete
Changed in ubuntu-z-systems:
status: New → Incomplete
Frank Heimes (fheimes)
Changed in ubuntu-z-systems:
importance: Undecided → High
Revision history for this message
bugproxy (bugproxy) wrote : Comment bridged from LTC Bugzilla

------- Comment From <email address hidden> 2021-08-13 04:04 EDT-------
The following commits implement the feature:

1f703d2cf204 KVM: s390: allow facility 192 (vector-packed-decimal-enhancement facility 2)
a3efa8429266 KVM: s390: gen_facilities: allow facilities 165, 193, 194 and 196

Frank Heimes (fheimes)
Changed in linux (Ubuntu):
assignee: bugproxy (bugproxy) → Frank Heimes (fheimes)
status: Incomplete → Triaged
Changed in ubuntu-z-systems:
status: Incomplete → Triaged
Revision history for this message
Frank Heimes (fheimes) wrote :

A patched impish kernel 5.13 is being build here for further testing:
https://launchpad.net/~fheimes/+archive/ubuntu/lp1932174

Revision history for this message
Frank Heimes (fheimes) wrote :

Patch request submitted:
https://lists.ubuntu.com/archives/kernel-team/2021-August/thread.html#123203
changing status to 'In Progress'.

Changed in linux (Ubuntu):
status: Triaged → In Progress
Changed in ubuntu-z-systems:
status: Triaged → In Progress
Changed in linux (Ubuntu):
assignee: Frank Heimes (fheimes) → Canonical Kernel Team (canonical-kernel-team)
Frank Heimes (fheimes)
information type: Private → Public
Revision history for this message
Ubuntu Kernel Bot (ubuntu-kernel-bot) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-focal' to 'verification-done-focal'. If the problem still exists, change the tag 'verification-needed-focal' to 'verification-failed-focal'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-focal
Frank Heimes (fheimes)
Changed in linux (Ubuntu):
status: In Progress → Fix Committed
Changed in ubuntu-z-systems:
status: In Progress → Fix Committed
Revision history for this message
Andy Whitcroft (apw) wrote :

Though this is not at all clear, this focal verification request is for focal:linux-oem-5.13.

Revision history for this message
Frank Heimes (fheimes) wrote :

Ok, since there is no linux-oem-5.13 for s390x, I'm setting the tags to "verification done on focal", to unblock this ticket. (Thx for the clarification apw.)

tags: added: verification-done-focal
removed: verification-needed-focal
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 5.13.0-16.16

---------------
linux (5.13.0-16.16) impish; urgency=medium

  * impish/linux: 5.13.0-16.16 -proposed tracker (LP: #1942611)

  * Miscellaneous Ubuntu changes
    - [Config] update toolchain in configs

  * Miscellaneous upstream changes
    - Revert "UBUNTU: [Config] Enable CONFIG_UBSAN_BOUNDS"

 -- Andrea Righi <email address hidden> Fri, 03 Sep 2021 16:21:14 +0200

Changed in linux (Ubuntu):
status: Fix Committed → Fix Released
Frank Heimes (fheimes)
Changed in ubuntu-z-systems:
status: Fix Committed → Fix Released
Revision history for this message
bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2021-09-17 05:18 EDT-------
Fix landed in impish / U21.10, hence closing the bug.
Changing IBM BZ status:->CLOSED

To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Other bug subscribers